;---------------------------------------------------------------------------
; Win state decider
; CNS difficulty: basic
[Statedef 180]
type = S

[State 3501, screenbound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 0,0

[State 180, 0]
type = ChangeState
trigger1 = anim = 3502
value = 182

[State 180, 1]
type = ChangeState
trigger1 = Time = 0
value = 181

;---------------------------------------------------------------------------
; Win pose 1 - Bow
; CNS difficulty: basic
[Statedef 181]
type = S
ctrl = 0
anim = 180
velset = 0,0

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 181, 2]
type = PlaySnd
trigger1 = !ishelper
trigger1 = TeamSide = 1
trigger1 = MatchOver = 1
trigger1 = AnimElem = 8
persistent = 0
value = 3000,4

[State 181, 3]
type = PlaySnd
trigger1 = !ishelper
trigger1 = TeamSide = 2
trigger1 = MatchOver = 1
trigger1 = AnimElem = 8
persistent = 0
value = 3000,7

;---------------------------------------------------------------------------
; Win pose 2 - Wall
[Statedef 182]
type = S
ctrl = 0
velset = 0,0

[State 3501, screenbound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 0,0

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 181, 2]
type = PlaySnd
trigger1 = !ishelper
trigger1 = TeamSide = 1
trigger1 = MatchOver = 1
trigger1 = time = 45
persistent = 0
value = 3000,4

[State 181, 3]
type = PlaySnd
trigger1 = !ishelper
trigger1 = TeamSide = 2
trigger1 = MatchOver = 1
trigger1 = time = 45
persistent = 0
value = 3000,7

;------------------------------------------------------------------------------
;Intro
[Statedef 190]
type = S
ctrl = 0
sprpriority = 1
anim = 190

[State 190, Intro]
type = AssertSpecial
trigger1 = 1
flag = Intro

[State 190, Not first round]
type = changestate
triggerall = !ishelper
trigger1 = roundsexisted
trigger2 = animtime = 0
value = 0

[State 190, Clone]
type = helper
trigger1 = !ishelper
name = "Intro Clone"
ID = 190
stateno = 190
pos = 80,0
facing = -1
persistent = 0

[State 190, Dark]
type = PalFX
trigger1 = ishelper
time = 1
add = -40,-40,-40

[State 190, Trans]
type = Trans
trigger1 = ishelper
trigger1 = time < 30
trans = addalpha
alpha = 205,50

[State 190, Dissapear]
type = Trans
trigger1 = ishelper
trigger1 = time >= 30
trans = addalpha
alpha = ceil((44-time)*205/14.0),ceil((time-30)*205/14) + 50

[State 190, Dissapear]
type = destroyself
trigger1 = animtime = 0
trigger1 = ishelper

;======== Jab ========
[Statedef 200]
type = S
movetype = A
anim = 200
physics = S
velset = 0,0
juggle = 10
ctrl = 0

[State 200, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = 1.0

[State 200, Hit]
type = Hitdef
trigger1 = time = 0
attr = S,NA
hitflag = HAF
guardflag = HA
animtype = light
damage = 20
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-64*const(size.yscale))
hitsound = S5,0+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 9
ground.hittime = 15
guard.hittime = 9
ground.velocity = -5, 0
ground.cornerpush.veloff = -8
air.velocity = -1, -4
getpower = 60, 20
givepower = 20, 7
yaccel = .5

[State 200, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1


;======== Fierce ========
[Statedef 210]
type = S
movetype = A
anim = 210
physics = S
velset = 0,0
juggle = 10
ctrl = 0

[State 210, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .8

[State -1, Kick Throw]
type = Hitdef
triggerall = time = 0
triggerall = p2bodydist X < 3
triggerall = p2statetype != A
triggerall = p2movetype != H
trigger1 = !var(0)
trigger1 = command = "holdfwd"
trigger2 = var(0)
attr = S, NT
hitflag = M-
guardflag = 
sparkno = S10007
sparkxy = -30, ceil(-59*const(size.yscale))
priority = 1,Miss
p1stateno = 801
p2stateno = 802
p2facing = 1
guard.dist = -1
fall = 1
fall.recover = 0

[State 210, Hit]
type = Hitdef
trigger1 = time = 7
attr = S,NA
hitflag = MAF
guardflag = MA
animtype = hard
damage = 44
pausetime = 12, 12
guard.pausetime = 7,7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-57*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 15
ground.hittime = 21
guard.hittime = 15
ground.velocity = -5, 0
ground.cornerpush.veloff = -7
air.velocity = -1, -4
getpower = 100, 33
givepower = 33, 11
yaccel = .5
envshake.time = 15
envshake.freq = 80
envshake.ampl = 5

[State 210, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1


;======== Short ========
[Statedef 230]
type = S
physics = N
movetype = A
anim = 230
ctrl = 0
velset = 0,0

[State 200, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .9

[State 230, Hit]
type = Hitdef
trigger1 = time = 0
attr = S,NA
hitflag = MA
guardflag = M
animtype = light
damage = 23
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-25*const(size.yscale))
hitsound = S5,0+random%3
guardsound = S6,0
ground.type = low
ground.slidetime = 13
ground.hittime = 18
guard.hittime = 13
ground.velocity = -6.5, 0
ground.cornerpush.veloff = -9
getpower = 69, 23
givepower = 23, 7
yaccel = .5

[State 230, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1


;======== Roundhouse ========
[Statedef 240]
type = S
physics = N
movetype = A
anim = 240
ctrl = 0
velset = 0,0

[State 200, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .6

[State 240, Hit]
type = Hitdef
trigger1 = time = 0
attr = S,NA
hitflag = HA
guardflag = H
animtype = hard
damage = 68
pausetime = 12, 12
guard.pausetime = 7,7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-68*const(size.yscale))
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 10
ground.hittime = 30
guard.hittime = 10
ground.velocity = -1, -10.5
air.velocity = -1, -8
guard.velocity = -7.4
ground.cornerpush.veloff = -6.5
getpower = 122, 40
givepower = 40, 13
fall = 1
fall.recover = 0
yaccel = .5
envshake.time = 15
envshake.freq = 80
envshake.ampl = 5

[State 240, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1


;======== Crouching Jab ========
[Statedef 400]
type = C
movetype = A
anim = 400
physics = C
velset = 0,0
juggle = 10
ctrl = 0

[State 400, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = 1.0

[State 400, Hit]
type = Hitdef
trigger1 = time = 0
attr = C,NA
hitflag = M
guardflag = M
animtype = light
damage = 20
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-41*const(size.yscale))
hitsound = S5,0+random%3
guardsound = S6,0
ground.type = low
ground.slidetime = 9
ground.hittime = 15
guard.hittime = 9
ground.velocity = -5.5, 0
ground.cornerpush.veloff = -8
getpower = 60, 20
givepower = 20, 7
yaccel = .5

[State 400, End]
type = Changestate
trigger1 = animtime = 0
value = 11
ctrl = 1


;======== Crouching Fierce ========
[Statedef 410]
type = C
movetype = A
anim = 410
physics = C
velset = 0,0
;juggle = 10
ctrl = 0

[State 410, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .8

[State 410, Hit]
type = Hitdef
trigger1 = time = 7
attr = C,NA
hitflag = MAF
guardflag = M
animtype = light
damage = 51
pausetime = 7, 7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-38*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = low
air.type = trip
ground.slidetime = 11
ground.hittime = 15
guard.hittime = 11
ground.velocity = -4, 0
air.velocity = -2,-1
ground.cornerpush.veloff = -6
getpower = 80, 27
givepower = 27, 9
yaccel = .5
envshake.time = 15
envshake.freq = 80
envshake.ampl = 5

[State 410, End]
type = Changestate
trigger1 = animtime = 0
value = 11
ctrl = 1


;======== Crouching Short ========
[Statedef 430]
type = C
movetype = A
anim = 430
physics = C
velset = 0,0
juggle = 10
ctrl = 0

[State 430, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .9

[State 430, Hit]
type = Hitdef
trigger1 = time = 0
attr = C,NA
hitflag = M
guardflag = L
animtype = light
damage = 22
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-9*const(size.yscale))
hitsound = S5,0+random%3
guardsound = S6,0
ground.type = low
ground.slidetime = 11
ground.hittime = 15
guard.hittime = 11
ground.velocity = -3, 0
ground.cornerpush.veloff = -7
getpower = 45, 15
givepower = 15, 5
yaccel = .5

[State 430, End]
type = Changestate
trigger1 = animtime = 0
value = 11
ctrl = 1


;======== Crouching Roundhouse ========
[Statedef 440]
type = C
movetype = A
anim = 440
physics = C
velset = 0,0
juggle = 10
ctrl = 0

[State 440, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .6

[State 440, Hit]
type = Hitdef
trigger1 = !time
trigger1 = enemy, statetype != L
attr = C,NA
hitflag = MA
guardflag = L
animtype = back
damage = 57
pausetime = 7, 7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-9*const(size.yscale))
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = trip
ground.slidetime = 8
ground.hittime = 40
guard.hittime = 8
ground.velocity = -1, -2.5
guard.velocity = -5.4
ground.cornerpush.veloff = 0
getpower = 70, 23
givepower = 23, 8
yaccel = .3

[State 440, Hit]
type = Hitdef
trigger1 = !time
trigger1 = enemy, statetype = L
attr = C,NA
hitflag = FD
guardflag = 
animtype = back
damage = 57
pausetime = 7, 7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-9*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = hard
ground.slidetime = 8
ground.hittime = 40
guard.hittime = 8
ground.velocity = -1, -2
ground.cornerpush.veloff = 0
getpower = 70, 23
givepower = 23, 8
yaccel = .5
ID = 440
nochainID = 440

[State 440, End]
type = Changestate
trigger1 = animtime = 0
value = 11
ctrl = 1


;======== Jumping Punch ========
[Statedef 600]
type = A
movetype = A
anim = 600
physics = A
juggle = 10
ctrl = 0

[State 600, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = 1.0

[State 600, Hit]
type = Hitdef
trigger1 = time = 0
attr = A,NA
hitflag = MAF
guardflag = H
animtype = hard
damage = 60
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-20*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 10
ground.hittime = 15
guard.hittime = 10
ground.velocity = -3, 0
air.velocity = -2, -2
air.fall = 1
ground.cornerpush.veloff = -5
getpower = 90, 30
givepower = 30, 10
yaccel = .5


;======== Jumping Kick ========
[Statedef 630]
type = A
movetype = A
anim = 630
physics = A
juggle = 10
ctrl = 0

[State 630, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = 1.0

[State 630, Hit]
type = Hitdef
trigger1 = time = 0
attr = A,NA
hitflag = HAF
guardflag = H
animtype = hard
damage = 90
pausetime = 7, 7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-68*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 15
ground.hittime = 22
guard.hittime = 15
ground.velocity = -2, 0
air.velocity = -2, 0
air.fall = 1
ground.cornerpush.veloff = -4
getpower = 90, 30
givepower = 30, 10
yaccel = .5


;======== Throw ========
[Statedef 801]
type = S
physics = N
movetype = A
anim = 800

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S5,6

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 3
value = S6,1


[State 801, Width]
type = Width
trigger1 = time = 0
edge = 70,70

[State 801, BindTarget]
type = TargetBind
trigger1 = AnimElemTime(1) = 0
pos = 68,0

[State 801, BindTarget]
type = TargetBind
trigger1 = AnimElemTime(2) = 0
pos = 58,0

[State 801, BindTarget]
type = TargetBind
trigger1 = AnimElemTime(3) = 0
pos = 41,0

[State 801, BindTarget]
type = TargetBind
trigger1 = AnimElemTime(4) = 0
pos = 0,-51

[State 801, BindTarget]
type = TargetBind
trigger1 = AnimElemTime(5) = 0
pos = -20,-50

[State 801, Life]
type = TargetLifeAdd
trigger1 = AnimElemTime(5) = 0
value = -113

[State 801, TargetState]
type = TargetState
trigger1 = AnimElemTime(5) = 0
value = 803

[State 801, Turn]
type = Turn
trigger1 = AnimElemTime(9) = 0

[State 801, End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

[Statedef 802]
type = S
physics = N
movetype = H
velset = 0,0
ctrl = 0

[State 802, Nopush]
type = playerpush
trigger1 = 1
value = 0

[State 802, Anim]
type = ChangeAnim2
trigger1 = time = 0
value = 801

[Statedef 803]
type = A
physics = A
movetype = H
velset = 6,-5

[State 803, Fall]
type = selfstate
trigger1 = animtime = 0
value = 5050

;---------------------------------------------------------------------------
; Stand
[Statedef 0]
type = S
physics = S
sprpriority = 0

[State 0, Noturn]
type = assertspecial
trigger1 = anim = 3502
flag = noautoturn
ignorehitpause = 1

[State 0, 1]
type = ChangeAnim
triggerall = anim != 3502
trigger1 = Anim != 0 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0 ;Turn anim over
value = 0

[State 0, 2]
type = VelSet
trigger1 = Time = 0
y = 0

[State 0, 3] ;Stop moving if low velocity or 4 ticks pass
type = VelSet
trigger1 = abs(vel x) < 2 ;Const(movement.stand.friction.threshold)
trigger2 = Time = 4
x = 0

[State 0, 4] ;Are you dead?
type = ChangeState
trigger1 = !alive
value = 5050

[State 0, 5] ;Are you floating?
type = ChangeState
trigger1 = pos y < 0
value = 50
